# Get a pending affiliate

| HTTP method | Endpoint                                  |
| ----------- | ----------------------------------------- |
| **GET**     | **/v1/pending\_affiliates/{pending\_id}** |

## Path parameters <a href="#path-parameters-1" id="path-parameters-1"></a>

| Parameter   | Description                              |
| ----------- | ---------------------------------------- |
| pending\_id | The unique id for the pending affiliate. |

## Response body parameters <a href="#response-body-parameters-1" id="response-body-parameters-1"></a>

| Field                     | Type    | Description                                       |
| ------------------------- | ------- | ------------------------------------------------- |
| id                        | integer | A string that uniquely identifies this affiliate. |
| first\_name               | string  | The first\_name of the this affiliate.            |
| last\_name                | string  | The last\_name of the this affiliate.             |
| email                     | string  | The email of the this affiliate.                  |
| company                   | string  | The company of the this affiliate.                |
| country                   | string  | The country of the affiliate’s physical address.  |
| status                    | string  | Affiliate’s status.                               |
| instant\_message\_account | string  | Instant message account.                          |
| instant\_message\_type    | integer | Types of instant message.                         |
| phone                     | string  | The phone number of the affiliate.                |
| website                   | string  |                                                   |
| create\_time              | integer | Create time.                                      |

## Example request <a href="#example-request-1" id="example-request-1"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/pending_affiliates/2>

**Request GET** <http://{networkname}.api.offerslook.com/v1/pending_affiliates/2>

## Example response <a href="#example-response-1" id="example-response-1"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "pending_affiliate": {
          "id": 2,
          "email": "test@testasd.com",
          "first_name": "test",
          "last_name": "test",
          "instant_message_type": 3,
          "instant_message_account": "test@facebook.com",
          "phone": "1234556",
          "country": "Asia/Pacific",
          "status": "rejected",
          "website": "http://www.offerslook.com",
          "create_time": 1467949765,
          "company": "OffersLook"
        }
      }
    }
```
